# 数据源配置
spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.0.222:22306/mvp_batch?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    hikari:
      driver-class-name: ${spring.datasource.driver-class-name}
      jdbc-url: ${spring.datasource.url}
      username: ${spring.datasource.username}
      password: ${spring.datasource.password}
      minimum-idle: 10 # 最小空闲连接数量
      idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
      maximum-pool-size: 12 # 连接池最大连接数，默认是10
      auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
      max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: prd
  redis:
    host: 192.168.0.222
    port: 22379
    password: '@yf_2022'
## spring security 配置
security:
  oauth2:
    resource:
      loadBalanced: true
      token-info-uri: http://127.0.0.1:3000/oauth/check_token
    # 直接放行URL
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**